Package wx :: Package lib :: Package analogclock :: Module helpers :: Class Dyer

[frames | no frames]

## Class Dyer

Stores info about colours and borders of clock Elements.

Method Summary
| ``__init__`(self, border, width, fill, shadow)` self.border (wx.Colour) border colour self.width (int) border width self.fill (wx.Colour) fill colour self.shadow (wx.Colour) shadow colour
| `GetBorderColour(self)`
| `GetBorderWidth(self)`
| `GetFillColour(self)`
| `GetShadowColour(self)`
| ``Select`(self, dc, shadow)` Selects the current settings into the dc.
| `SetBorderColour(self, colour)`
| `SetBorderWidth(self, width)`
| `SetFillColour(self, colour)`
| `SetShadowColour(self, colour)`

Method Details

### __init__(self, border=None, width=0, fill=None, shadow=None)
(Constructor)

self.border (wx.Colour) border colour self.width (int) border width self.fill (wx.Colour) fill colour self.shadow (wx.Colour) shadow colour

### Select(self, dc, shadow=False)

Selects the current settings into the dc.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:49 2007 | http://epydoc.sf.net